%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 2
%define libname %mklibname marco-private %{major}
%define develname %mklibname -d marco-private

%define oname mate-window-manager

Summary:       MATE window manager
Name:          marco
Version: 1.24.1
Release: %mkrel 1
URL:           https://www.mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:       LGPLv2+ and GPLv2+
Group:         Graphical desktop/MATE

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libxml2-utils
BuildRequires: zenity
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gio-2.0) >= 2.25.10
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires: pkgconfig(pangoxft) >= 1.2.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xpresent)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(rarian)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glu)

Requires:      zenity
Requires:      %{libname} = %{version}-%{release}
Requires:      mate-settings-daemon-schemas
Obsoletes:     %{oname} < 1.12.1

%description
A window manager for MATE Desktop.

%package -n %{libname}
Summary:       Libraries for Mate window manager
Group:         System/Libraries
Obsoletes:     %{libname} < 1.12.1

%description -n %{libname}
This package contains libraries used by Mate window manager.

%package -n %{develname}
Summary:       Libraries and include files with Mate window manager
Group:         Development/C
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}
Obsoletes:     %{oname}-devel < 1.12.1

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with Mate window manager.

%prep
%autosetup

%build
%configure \
        --disable-static           \
        --disable-schemas-compile  \
        --with-x

# fix rpmlint unused-direct-shlib-dependency warning
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

%find_lang %{name}

# We do not want *.la files
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS HACKING
%{_bindir}/marco
%{_bindir}/marco-message
%{_bindir}/marco-theme-viewer
%{_datadir}/applications/marco.desktop
%{_datadir}/themes/ClearlooksRe/
%{_datadir}/themes/Dopple-Left/
%{_datadir}/themes/Dopple/
%{_datadir}/themes/DustBlue/
%{_datadir}/themes/Spidey-Left/
%{_datadir}/themes/Spidey/
%{_datadir}/themes/Splint-Left/
%{_datadir}/themes/Splint/
%{_datadir}/themes/WinMe/
%{_datadir}/themes/eOS/
%{_datadir}/themes/Atlanta/
%{_datadir}/themes/Esco/
%{_datadir}/themes/Gorilla/
%{_datadir}/themes/Motif/
%{_datadir}/themes/Raleigh/
%{_datadir}/marco/
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%{_datadir}/help/C/creating-marco-themes
%{_datadir}/mate/wm-properties/
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_mandir}/man1/marco.1*
%{_mandir}/man1/marco-message.1*

%files -n %{libname}
%{_libdir}/libmarco-private.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_bindir}/marco-window-demo
%{_includedir}/marco-1
%{_libdir}/libmarco-private.so
%{_libdir}/pkgconfig/libmarco-private.pc
%{_mandir}/man1/marco-theme-viewer.1.*
%{_mandir}/man1/marco-window-demo.1.*


%changelog
* Sat Aug 08 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1612033
- Update to version 1.24.1

* Sat Jul 11 2020 wally <wally> 1.24.0-4.mga8
+ Revision: 1605278
- require only gschemas from mate-settings-daemon

* Sat Jul 11 2020 kekepower <kekepower> 1.24.0-3.mga8
+ Revision: 1604626
- Require mate-settings-daemon

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547995
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488711
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.4-1.mga8
+ Revision: 1465671
- Update to version 1.22.4

* Thu Jul 18 2019 wally <wally> 1.22.2-2.mga8
+ Revision: 1422588
- build with xpresent

* Thu Jul 18 2019 wally <wally> 1.22.2-1.mga8
+ Revision: 1422584
- new lib major 2
- new version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397041
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375497
- Update to version 1.22.0

* Thu Dec 20 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1343127
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337237
- Update to version 1.20.2
- Rolled back to r1299456

* Mon Nov 26 2018 kekepower <kekepower> 1.21.1-1.mga7
+ Revision: 1335509
- Update to version 1.21.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299456
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201351
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.2-1.mga7
+ Revision: 1187397
- Updated to 1.19.2 version

* Sat Oct 28 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174309
- Updated to 1.19.1 version

* Mon Sep 04 2017 cjw <cjw> 1.18.1-2.mga7
+ Revision: 1151243
- rebuild for new libgtop

* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1102422
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092540
- Update to 1.18.0 version
- Update to 1.17.1 version
- Update to 1.17.0 version
- Clean up gtk2 references from specfile

* Fri Dec 23 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1076666
- new version 1.16.0
- build with gtk3
- new libmajor

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.2-1.mga6
+ Revision: 1017827
- Update to 1.14.2 version

* Thu Apr 21 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1004218
- Update to 1.14.1 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001191
- Update to 1.14.0 version

* Thu Feb 25 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979287
- Update to 1.13.1 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942397
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908123
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898501
-Update to 1.12.0 version

* Mon Oct 26 2015 tarakbumba <tarakbumba> 1.10.3-1.mga6
+ Revision: 895618
- Update to 1.10.3 version

* Tue Sep 01 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 872005
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837246
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 747078
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tarakbumba <tarakbumba> 1.8.2-1.mga5
+ Revision: 731472
- Update to 1.8.2 version

* Sat Sep 27 2014 tv <tv> 1.8.1-3.mga5
+ Revision: 727155
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 682168
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 640414
- Update to 1.8.1 version

* Tue Jun 03 2014 tarakbumba <tarakbumba> 1.8.0-3.mga5
+ Revision: 632660
- Rebuild for libgtop2-2.30.0

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601306
- use versioned obsoletes/provides

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600085
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598093
-Update to 1.7.x version
- imported package marco

